unit time;
{ July 5, 1991  programmed by Masaaki Wada }
{ 1992.8.19 added waitTicks }


interface

uses
	str;


var
	time0: longint;


function ticks2str (t: longint): string;

procedure initTime;
function timeStamp: string;

procedure waitTicks (t: longint);



implementation

function ticks2str (t: longint): string;
	var
		a, b, c: longint;
	begin
		t := t div 6;
		c := t mod 10;
		t := t div 10;
		b := t mod 60;
		a := t div 60;
		if a = 0 then
			ticks2str := concat(long2str(b), '.', long2str(c), '"')
		else
			ticks2str := concat(long2str(a), '''', strStuffL(long2str(b), '0', 2), '"')
	end;


procedure initTime;
	begin
		time0 := TickCount
	end;


function timeStamp: string;
	var
		s: string;
	begin
		s := concat('(', ticks2str(TickCount - time0), ')');
		timeStamp := strStuffL(s, ' ', 11)
	end;


procedure waitTicks (t: longint);
	var
		dummy: longint;
	begin
		Delay(t, dummy)
	end;


end.